#3962 closed defect (fixed)

Licensing Requirements for Submissions Poorly Documented

Reported by: Joel Sherrill Owned by: Gedare Bloom
Priority: high Milestone: 6.1
Component: doc Version: 5
Severity: major Keywords:
Cc: Blocked By:
Blocking:

Description

The discussion of licensing for code/docs in RTEMS is a bit of a mess right now. After posting this issue to the mailing list (https://lists.rtems.org/pipermail/devel/2020-April/059489.html), Sebastian pointed out where the actual recommended text for code/docs was located.

SW Engineering Guide sections 6.3.1.2 (Licenses) and 11 (Licensing Requirements) are somewhat overlapping and duplicative. In addition, Gedare's old blog
http://gedare-csphd.blogspot.com/2013/05/software-licenses-with-rtems.html is still a decent discussion of the underlying issues and goals even though we have moved to BSD-2 and Creative Commons for documentation since he wrote that in 2013.

The above references just describe the rationale and cite the licenses. For an example of what to put in the code, you have to visit https://docs.rtems.org/branches/master/eng/coding-file-hdr.html#copyright-and-license-block

I THINK a good solution would be to reference the Chapter 11 Licensing
Requirements from the Coding Conventions chapter. And incorporate an
updated version of Gedare's blog text.

Change History (4)

comment:1 Changed on Apr 26, 2020 at 11:30:12 PM by Chris Johns

Is this being worked on for the RTEMS 5 release?

comment:2 Changed on Apr 27, 2020 at 12:14:01 PM by Sebastian Huber

Yes, this needs to be fixed, however, it is not release critical from my point of view. This stuff is important for new contributors and they should focus on the master. I would move the milestone to 6.1.

comment:3 Changed on Apr 30, 2020 at 3:36:35 AM by Gedare Bloom

Milestone: 5.16.1
Owner: set to Gedare Bloom
Status: newaccepted

comment:4 Changed on May 1, 2020 at 4:12:46 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: acceptedclosed

In 2d22d74/rtems-docs:

Rework RTEMS licensing discussions.

This now captures historical rationale along with cross-linking
code templates with license guidelines.

Closes #3962.

Note: See TracTickets for help on using tickets.